Get a Substack category's leaderboard: the top publications ranked by Substack, each with its full details (subscriber badge, paid band, prices, author) and rank.
curl "https://apidirect.io/v1/substack/category/publications?category=technology&page=1" -H "X-API-Key: YOUR_API_KEY"
{
"category": {
"category_id": 4,
"name": "Technology"
},
"count": 25,
"has_next_page": true,
"page": 1,
"publications": [
{
"author": "bytebytego",
"author_id": "22329494",
"author_name": "Alex Xu",
"author_pic_url": "",
"author_url": "https://substack.com/@bytebytego",
"bestseller_tier": 0,
"cover_image_url": "https://substack-post-media.s3.amazonaws.com/public/images/a4e1c1bd-03ee-4126-b3e4-19553b2d2fc6_1279x821.png",
"created_at": "2022-03-27 03:36:45",
"custom_domain": "blog.bytebytego.com",
"description": "Explain complex systems with simple terms, from the authors of the best-selling system design book series. Join over 1,000,000 friendly readers.",
"domain": "substack.com",
"first_post_date": "2021-11-25 17:31:00",
"founding_plan_name": "",
"has_chat": false,
"has_podcast": false,
"has_recommendations": false,
"is_bestseller": false,
"language": "en",
"logo_url": "https://substackcdn.com/image/fetch/$s_!1eXV!,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazona…",
"logo_url_wide": "",
"name": "ByteByteGo Newsletter",
"paid_enabled": true,
"paid_subscriber_band": "",
"paid_subscriber_floor": 0,
"plans": [
{
"amount": 15.0,
"currency": "USD",
"interval": "month"
}
],
"podcast": null,
"publication_id": "817132",
"rank": 1,
"ranking_detail": "",
"sections": [],
"source": "Substack",
"subdomain": "bytebytego",
"subscriber_count": null,
"subscriber_count_label": "",
"twitter_handle": "alexxubyte",
"type": "newsletter",
"url": "https://blog.bytebytego.com"
}
],
"tier": "all"
}